
-- DROP TABLE tl_assessment_template;



CREATE TABLE tl_assessment_template (
    object_id int NOT NULL ,
    object_last_updated_date datetime DEFAULT getdate() NOT NULL ,
    object_created_date datetime DEFAULT getdate() NOT NULL
    ,
    template_name varchar(100) NULL,
    user_id numeric(12)  NULL
    );



ALTER TABLE tl_assessment_template ADD    
    CONSTRAINT PK_tl_assessment_template PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
        CREATE UNIQUE INDEX idx_tl_assessment_template_TemplateName ON 
        tl_assessment_template (template_name, user_id);
    